<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.repos.mediator</groupId>
	<version>4.0.2-SNAPSHOT</version>
	<artifactId>mediator-app</artifactId>
	<name>Message Mediator (DS5 Mitigation) Enterprise Application</name>
	<packaging>pom</packaging>
	<modules>
		<module>mediator-client</module>
		<module>mediator-core</module>
		<module>mediator-ejb</module>
		<module>mediator-ws</module>
		<module>mediator-ear</module>
	</modules>
	<!-- 
	<scm>
		<url>https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_mediator_main_stream_rws</url>
		<connection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_mediator_main_stream_rws</connection>
		<developerConnection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_mediator_main_stream_rws</developerConnection>
	</scm>
	-->
	
	<scm>
        <url>${env.SCM_URL}:${env.APP_MEDIATOR_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.APP_MEDIATOR_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.APP_MEDIATOR_RB_RWS}</developerConnection>
    </scm>
	
	<properties>
		<mediator.test.groups>checkintest</mediator.test.groups>
		<org.springframework.version>4.2.7.RELEASE</org.springframework.version>
		<build.reports.outputsite>file://DNS  apphdrci01.DNS   .med.DNS   :/usr/share/tomcat6/webapps/siteReport/mediator/</build.reports.outputsite>
		<build.reports.url>http://DNS  apphdrci01.DNS   .med.DNS   :8080/siteReport/mediator/</build.reports.url>
		<apache.cxf.version>3.1.3</apache.cxf.version>
		<weblogic.version>12.1.2.0</weblogic.version>
		<repos.lib.groupid>gov.va.med.repos.lib</repos.lib.groupid>
		<junit-ext.version>3.1.1</junit-ext.version>
		<common.version>5.0.0</common.version>
		<log4j-ext.version>4.0.0</log4j-ext.version>
		<testharness.version>5.0.0</testharness.version>
		<aspects.version>4.0.0</aspects.version>
		<hapi-ext.version>5.0.0</hapi-ext.version>
		<log4j.version>2.4</log4j.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>gov.va.med.repos.mediator</groupId>
				<artifactId>mediator-client</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.repos.mediator</groupId>
				<artifactId>mediator-core</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.repos.mediator</groupId>
				<artifactId>mediator-ejb</artifactId>
				<type>ejb</type>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.repos.mediator</groupId>
				<artifactId>mediator-ws</artifactId>
				<type>war</type>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.repos.mediator</groupId>
				<artifactId>mediator-ear</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>common</artifactId>
				<version>${common.version}</version>
				<exclusions>
					<exclusion>
						<groupId>net.sf.saxon</groupId>
						<artifactId>Saxon-HE</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>log4j-ext</artifactId>
				<version>${log4j-ext.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>junit-ext</artifactId>
				<version>${junit-ext.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>testharness</artifactId>
				<version>${testharness.version}</version>
				<classifier>tests</classifier>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>aspects</artifactId>
				<version>${aspects.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>hapi-ext</artifactId>
				<version>${hapi-ext.version}</version>
			</dependency>
			<dependency>
				<groupId>net.sf.saxon</groupId>
				<artifactId>Saxon-HE</artifactId>
				<version>9.7.0-7</version>
			</dependency>
			<dependency>
				<groupId>net.sf.saxon</groupId>
				<artifactId>Saxon</artifactId>
				<version>9.7.0-7</version>
				<classifier>dom</classifier>
			</dependency>
			<dependency>
				<groupId>org.aspectj</groupId>
				<artifactId>aspectjweaver</artifactId>
				<version>1.8.6</version>
			</dependency>
			<dependency>
				<groupId>javax.transaction</groupId>
				<artifactId>jta</artifactId>
				<version>1.0.1B</version>
			</dependency>
			<dependency>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-dbcp2</artifactId>
				<version>2.1</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-digester3</artifactId>
				<version>3.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-pool2</artifactId>
				<version>2.4.2</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>1.6.1-PATCH01</version>
			</dependency>
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.12</version>
			</dependency>
			<dependency>
				<groupId>oracle</groupId>
				<artifactId>ojdbc6</artifactId>
				<version>11.2.0.3</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>javax.jws</groupId>
				<artifactId>jsr181-api</artifactId>
				<version>1.0-MR1</version>
			</dependency>
			<dependency>
				<groupId>javax.ws.rs</groupId>
				<artifactId>jsr311-api</artifactId>
				<version>1.1-ea</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-core</artifactId>
				<version>4.3.10.Final</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-core</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-expression</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-beans</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-aop</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context-support</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-tx</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-jdbc</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-orm</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-oxm</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-jms</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-web</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<version>${org.springframework.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wljmsclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlfullclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>javax.xml</groupId>
				<artifactId>jaxrpc-api</artifactId>
				<version>1.1</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>xerces</groupId>
				<artifactId>xercesImpl</artifactId>
				<version>2.11.0</version>
			</dependency>
			<dependency>
				<groupId>xml-apis</groupId>
				<artifactId>xml-apis</artifactId>
				<version>1.4.01</version>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymock</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>org.apache.mina</groupId>
				<artifactId>mina-core</artifactId>
				<version>2.0.9</version>
			</dependency>
			<dependency>
				<groupId>org.apache.mina</groupId>
				<artifactId>mina-integration-jmx</artifactId>
				<version>2.0.9</version>
				<type>jar</type>
				<exclusions>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-core</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-beans</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-ognl</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.apache.mina</groupId>
				<artifactId>mina-integration-ognl</artifactId>
				<version>2.0.9</version>
				<type>jar</type>
				<exclusions>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-core</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-beans</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-jmx</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.apache.mina</groupId>
				<artifactId>mina-integration-beans</artifactId>
				<version>2.0.9</version>
				<type>jar</type>
				<exclusions>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-core</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-jmx</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-jmx</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.apache.mina</groupId>
				<artifactId>mina-transport-apr</artifactId>
				<version>2.0.9</version>
				<type>jar</type>
				<exclusions>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-core</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-jmx</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.mina</groupId>
						<artifactId>mina-integration-jmx</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<!-- Apache 3.1.3 related libs -->
			<dependency>
				<groupId>javax.ws.rs</groupId>
				<artifactId>javax.ws.rs-api</artifactId>
				<version>2.0.1</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-core</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-transports-http</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-simple</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxrs</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxws</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-wsdl</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-bindings-soap</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-databinding-jaxb</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<!-- End -->
			<dependency>
				<groupId>org.apache.ws.xmlschema</groupId>
				<artifactId>xmlschema-core</artifactId>
				<version>2.0.3</version>
			</dependency>
			<dependency>
				<groupId>saaj-api</groupId>
				<artifactId>saaj-api</artifactId>
				<version>1.3</version>
				<scope>provided</scope>
			</dependency>
			<!-- The below jars are essential for CXF clients to look up UDDI -->
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-impl</artifactId>
				<version>2.2.11</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-core</artifactId>
				<version>2.2.11</version>
			</dependency>
			<dependency>
				<groupId>org.apache.neethi</groupId>
				<artifactId>neethi</artifactId>
				<version>3.0.3</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-ws-policy</artifactId>
				<version>3.1.3</version>
				<exclusions>
					<exclusion>
						<groupId>wsdl4j</groupId>
						<artifactId>wsdl4j</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>jaxm-api</groupId>
				<artifactId>jaxm-api</artifactId>
				<version>5.1</version>
				<scope>runtime</scope>
			</dependency>
			<dependency>
				<groupId>saaj-api</groupId>
				<artifactId>saaj-api</artifactId>
				<version>1.3</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.codehaus.woodstox</groupId>
				<artifactId>woodstox-core-asl</artifactId>
				<version>4.4.1</version>
				<exclusions>
					<exclusion>
						<groupId>javax.xml.stream</groupId>
						<artifactId>stax-api</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.codehaus.woodstox</groupId>
				<artifactId>stax2-api</artifactId>
				<version>3.1.4</version>
			</dependency>
			<dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz</artifactId>
				<version>2.2.3</version>
			</dependency>
			<!-- End -->
		</dependencies>
	</dependencyManagement>
	<build>
		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-webdav</artifactId>
				<version>1.0-beta-2</version>
			</extension>
		</extensions>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.12.4</version>
				<configuration>
					<systemPropertyVariables>
						<cds.run.properties.path>${mediator.run.properties.path}</cds.run.properties.path>
						<cds.caip.configfile.path>${mediator.caip.configfile.path}</cds.caip.configfile.path>
						<cds.test.groups>${cds.test.groups}</cds.test.groups>
						<!-- <cds.unique.patient>${cds.unique.patient}</cds.unique.patient> <cdsAppName>${cdsAppName}</cdsAppName> <pathwaysAppName>${pathwaysAppName}</pathwaysAppName> 
							<cds.test.templatecache>${cds.test.templatecache}</cds.test.templatecache> <cds.test.filtercache>${cds.test.filtercache}</cds.test.filtercache> <hibernate.show.sql>${hibernate.show.sql}</hibernate.show.sql> 
							<hibernate.query.plan_cache_max_strong_references.size>${hibernate.query.plan_cache_max_strong_references.size}</hibernate.query.plan_cache_max_strong_references.size> 
							<hibernate.query.plan_cache_max_soft_references.size>${hibernate.query.plan_cache_max_soft_references.size}</hibernate.query.plan_cache_max_soft_references.size> 
							<hibernate.prepare_sql>${hibernate.prepare_sql}</hibernate.prepare_sql> <hibernate.statement_cache.size>${hibernate.statement_cache.size}</hibernate.statement_cache.size> 
							<cds.jdbc.dataSource.hdr2.jndiName>${cds.jdbc.dataSource.hdr2.jndiName}</cds.jdbc.dataSource.hdr2.jndiName> <cds.jdbc.dataSource.vista.context.jndiName>${cds.jdbc.dataSource.vista.context.jndiName}</cds.jdbc.dataSource.vista.context.jndiName> -->
						<java.security.policy>${java.security.policy}</java.security.policy>
						<DSKey.store>${DSKey.store}</DSKey.store>
						<java.security.auth.login.config>${java.security.auth.login.config}</java.security.auth.login.config>
					</systemPropertyVariables>
					<argLine>-Xmx2048m</argLine>
					<disableXmlReport>false</disableXmlReport>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
				<version>1.9.1</version>
				<dependencies>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-provider-jazz</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-api</artifactId>
						<version>1.9.1</version>
					</dependency>
					<dependency>
						<groupId>org.apache.maven.scm</groupId>
						<artifactId>maven-scm-client</artifactId>
						<version>1.9.1</version>
					</dependency>
				</dependencies>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5</version>
			</plugin>

			<plugin>
				<groupId>com.fortify.ps.maven.plugin</groupId>
				<artifactId>sca-maven-plugin</artifactId>
				<version>4.30</version>
			</plugin>

		</plugins>
	</build>
	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<site>
			<id>bob-website</id>
			<url> ${build.reports.outputsite}/<!-- ${project.version} --> </url>
		</site>
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>
			<name>Internal Repository</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>

</project>
